X2Go Bug report logs - #434
Incorrect ssh options

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Orion Poplawski <orion@cora.nwra.com>

Date: Wed, 19 Feb 2014 03:20:02 UTC

Severity: normal

Tags: patch, pending

Found in version 4.0.1.3

Fixed in version 4.0.1.4

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#434; Package x2goclient. (Wed, 19 Feb 2014 03:20:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 19 Feb 2014 03:20:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Orion Poplawski <orion@cora.nwra.com>
To: submit@bugs.x2go.org
Subject: Incorrect ssh options
Date: Tue, 18 Feb 2014 20:15:33 -0700
[Message part 1 (text/plain, inline)]
Package: x2goclient
Version: 4.0.1.3
Tags: patch

x2goclient appears to use some ancient Debianism's for ssh options.  The
attached patch should hopefully fix, assuming the comments in bug 125263
below are correct.

https://bugzilla.redhat.com/show_bug.cgi?id=1066744
https://bugzilla.redhat.com/show_bug.cgi?id=125263

-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA/CoRA Division                    FAX: 303-415-9702
3380 Mitchell Lane                  orion@cora.nwra.com
Boulder, CO 80301              http://www.cora.nwra.com
[x2goclient-sshopt.patch (text/x-patch, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#434; Package x2goclient. (Wed, 19 Feb 2014 16:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 19 Feb 2014 16:00:02 GMT) Full text and rfc822 format available.

Message #10 received at 434@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: o.schneyder@phoca-gmbh.de
Cc: 434@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#434: Incorrect ssh options
Date: Wed, 19 Feb 2014 15:55:51 +0000
[Message part 1 (text/plain, inline)]
Hi Alex,

On  Mi 19 Feb 2014 04:15:33 CET, Orion Poplawski wrote:

> Package: x2goclient
> Version: 4.0.1.3
> Tags: patch
>
> x2goclient appears to use some ancient Debianism's for ssh options.  The
> attached patch should hopefully fix, assuming the comments in bug 125263
> below are correct.
>
> https://bugzilla.redhat.com/show_bug.cgi?id=1066744
> https://bugzilla.redhat.com/show_bug.cgi?id=125263

Please comment on the patch provided with #434 [1].

Mike

[1]  
http://bugs.x2go.org/cgi-bin/bugreport.cgi?msg=5;filename=x2goclient-sshopt.patch;att=1;bug=434
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#434; Package x2goclient. (Thu, 20 Feb 2014 13:10:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 20 Feb 2014 13:10:02 GMT) Full text and rfc822 format available.

Message #15 received at 434@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 434-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 434@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Thu, 20 Feb 2014 14:09:01 +0100 (CET)
tag #434 pending
fixed #434 4.0.1.4
thanks

Hello,

X2Go issue #434 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=1535c0d

The issue will most likely be fixed in src:x2goclient (4.0.1.4).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 1535c0d39525d9a746831933eee6c5a1e742cdae
Author: Orion Poplawski <orion@cora.nwra.com>
Date:   Thu Feb 20 14:08:16 2014 +0100

    Don't use ancient Debianism's for ssh options (ProtocolKeepAlives). (Fixes: #434).

diff --git a/debian/changelog b/debian/changelog
index 096aec2..f08604b 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -10,6 +10,8 @@ x2goclient (4.0.1.4-0x2go1) UNRELEASED; urgency=low
   [ Orion Poplawski ]
   * New upstream version (4.0.1.4):
     - Fix password connection with libssh 0.6.0
+    - Don't use ancient Debianism's for ssh options (ProtocolKeepAlives).
+      (Fixes: #434).
 
   [ Martti Pitkanen ]
   * New upstream version (4.0.1.4):


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 20 Feb 2014 13:10:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.1.4. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 20 Feb 2014 13:10:02 GMT) Full text and rfc822 format available.

Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#434. (Thu, 20 Feb 2014 13:10:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#434; Package x2goclient. (Thu, 10 Apr 2014 11:55:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 10 Apr 2014 11:55:05 GMT) Full text and rfc822 format available.

Message #27 received at 434@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 434-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 434@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Thu, 10 Apr 2014 13:52:12 +0200 (CEST)
close #434
thanks

Hello,

we are very hopeful that X2Go issue #434 reported by you
has been resolved in the new release (4.0.1.4) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.1.4)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=c701ee64098a4809d8458feeccb364044f27b2cc;hp=f84e4ed11d25365ff1e50ebbf83f199c4d748111

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.1.4-0x2go1
Status: RELEASE
Date: Thu, 10 Apr 2014 13:46:33 +0200
Fixes: 420 434
Changes: 
 x2goclient (4.0.1.4-0x2go1) RELEASED; urgency=low
 .
   [ Oleksandr Shneyder ]
   * New upstream version (4.0.1.4):
     - Increase ssh_select timeout to 0.5 sec.
     - Set mod map from client to server on Mac, hide keyboard settings on Mac.
     - Fix mod map on Mac with kerberos.
     - Fix focus on pass form.
 .
   [ Orion Poplawski ]
   * New upstream version (4.0.1.4):
     - Fix password connection with libssh 0.6.0. (Fixes: 420).
     - Don't use ancient Debianism's for ssh options (ProtocolKeepAlives).
       (Fixes: #434).
 .
   [ Martti Pitkanen ]
   * New upstream version (4.0.1.4):
     - Update Finnish translation file.
 .
   [ Robert Parts ]
   * New upstream version (4.0.1.4):
     - Add new translation of X2Go Client to Estonian.
 .
   [ Nicolai Hansen ]
   * New upstream version (4.0.1.4):
     - Update Danish translation file.
 .
   [ Jos ]
   * New upstream version (4.0.1.4):
     - Add new translation of X2Go Client to Dutch.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 10 Apr 2014 11:55:10 GMT) Full text and rfc822 format available.

Notification sent to Orion Poplawski <orion@cora.nwra.com>:
Bug acknowledged by developer. (Thu, 10 Apr 2014 11:55:10 GMT) Full text and rfc822 format available.

Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#434. (Thu, 10 Apr 2014 11:55:14 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 09 May 2014 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Jul 21 17:20:08 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.